Subject: Re: [PATCH 0/4] Xapian for Guix package search

From: zimoun <[email-masked]>
Date: Fri, 28 Feb 2020 13:39:08 +0100

Hi Pierre,

On Fri, 28 Feb 2020 at 09:13, Pierre Neidhardt <[email-masked]> wrote:

> Beside this issue, how do you test it?  I guess we first need to install
> a bunch of package with `pre-inst-env guix ...` then to a `pre-inst-env search`?

It is not searching in the installed packages but in all the packages.
So, to test it, you need to "./pre-inst-env guix pull -p" or something
like that to populate the Xapian index database. Then "./pre-inst-env
guix search" will lookup into.
I mean, it is how I understand it should work. I have not yet looked
into the code.

Cheers,
simon